<!-- Copyright (c) Vincent Dardel, <vindarez@mailz.org>,  Abelujo Developers -->
<!-- See the COPYRIGHT file at the top-level directory of this distribution -->

<!-- Abelujo is free software: you can redistribute it and/or modify -->
<!-- it under the terms of the GNU Affero General Public License as published by -->
<!-- the Free Software Foundation, either version 3 of the License, or -->
<!-- (at your option) any later version. -->

<!-- Abelujo is distributed in the hope that it will be useful, -->
<!-- but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!-- GNU Affero General Public License for more details. -->

<!-- You should have received a copy of the GNU Affero General Public License -->
<!-- along with Abelujo.  If not, see <http://www.gnu.org/licenses/>. -->

{% extends "base.html" %}

{% block content %}

{% load i18n %}
{% load bootstrap3 %}
{% load ngfilter %}
{% bootstrap_css %}

<h3> Restocking </h3>
<h4> {% trans "Cards that should be moved from the reserve to their shelves. Confirm each card then click on validate" %}.</h4>

<div ng-controller="restockingController">
  <div>

    <div>
      <uib-alert
          ng-repeat="alert in alerts"
          type="{{ 'alert.level' | ng }}"
          close="closeAlert($item)"
          ng-click="closeAlert($item)">
        {{ 'alert.message' | ng }}
      </uib-alert>
    </div>

    <a ng-click="validate()" type="button" class="btn btn-success" title='{% trans "Move all the selected cards to their shelves." %}'> {% trans "Validate" %}
    </a>

    <a type="button" class="btn btn-default" href="http://abelujo.cc/docs/restocking/" target="_blank" title='{% trans "See the documentation" %}'>
      <i class="glyphicon glyphicon-question-sign"></i>
    </a>
  </div>

  <table class="table table-condensed table-striped">
    <thead>
      <th> Title </th>
      <th> Publisher </th>
      <th> In reserve </th>
      <th> In shelf </th>
      <th> To move </th>
      <th> </th>
    </thead>

    <tbody>
      {% for card in cards %}
      <tr>
        <div>
          <td>
            <div ng-class="{ 'my-green-bg': is_ready({{ card.id }}) == true, 'my-strike-through': card_ignored({{ card.id }}) == true }">
              <a href="{{ card.get_absolute_url }}"> {{ card.title }} </a>
            </div>
          </td>
        </div>
        <td> {{ card.pubs_repr }} </td>
        <td> {{ card.quantity_reserve }} </td>
        <td> {{ card.quantity_selling_places }} </td>
        <td>
          <input id="{{ card.id }}" data-card-id="{{ card.id }}" data-card-ok="no" class="my-number-input" type="number" min=0 max=99 value="{{ card.quantity_to_restock }}"/>
          <!-- {{ card.quantity_to_restock }} -->
        </td>
        <td>
          <p class="btn-group">
            <button ng-click="mark_ready({{ card.id }})" class="btn btn-default" type='button' title='{% trans "You have this card between your hands." %}'>
              <i class="glyphicon glyphicon-ok"></i>
            </button>
            <button ng-click="ignore_card({{ card.id }})" class="btn btn-default" type='button' title='{% trans "Ignore this card for this session." %}'>
              <i class="glyphicon glyphicon-ban-circle"></i>
            </button>

            <button ng-click="remove_card({{ card.id }})" class="btn btn-default" type='button' title='{% trans "Remove this card from the list. This action cannot be undone." %}'>
            <i class="glyphicon glyphicon-remove"></i>
            </button>
          </p>

        </td>
      </tr>
      {% endfor %}
  </table>
</div>

{% endblock content %}
